*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    background-color: #000;
    color: #f5cfff;
    font-family: 'Instrument Sans', sans-serif;
    font-size: 16px;
    line-height: 1.5;
}
.container{
    width: 100%;
    height: 100vh;
    display: flex;
    backdrop-filter: blur(10px);
    background-image: url(Images/pexels-karolina-grabowska-5980740.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    justify-content: center;
    align-items: center;
    backdrop-filter: blur(10px);
}
.cancel-link{
    position: absolute;
    top: 0;
    left: 0;
    width: 5%;
    height: 11%;
    padding: 10px;
    z-index: 100;
    background-image: url(Images/Back-2.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
   
    cursor: pointer;
    z-index: 100;
}
.cancel-link:hover{
    transform: scale(1.1);
    transition: 0.5s;
    filter: invert(1);
    background-color: #000000;
}
.box{
    background-color: #000000bd;
    border: 1px solid #000000;
    width: 40%;
    height: 70vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;
    border-radius: 20px;
}
.box img{
    width: 40%;
    height:40%;
    object-fit: contain;
    border-radius: 10px;
}
.container-two{
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    
}
h2{
    font-size: 1.5rem;  
}
.container-two h1{
    position: relative;
    top: 50px;
    font-size: 2rem;
    font-weight: 600;
    text-align: center;
}
.section-one{
    position: relative;
    top: 100px;
    left: 50px;
    width: 50%;
    padding: 20px;
    border: 5px solid #f5cfff;
    
}
.section-one p{
    font-size: 1.5rem;
    font-weight: 400;
    text-align: left;
}
.section-one h2{
    font-size: 2rem;
    text-align: left;
}
.section-two{
    position: absolute;
    top: 28rem;
    right: 55px;
    width: 50%;
    padding: 20px;
    border: 5px solid #f5cfff;
}
.section-two p{
    font-size: 1.5rem;
    font-weight: 400;
    text-align: right;
}
.section-two h2{
    font-size: 2rem;
    text-align: right;
}
.container-three{
    position: relative;
    top: 110px;
    font-size: 2rem;
    font-weight: 600;
    text-align: center;
    padding: 20px;
    margin-bottom: 100px;
}
.container-three h1{
    text-decoration: underline;
    text-decoration-color:#f5cfff;
    text-decoration-thickness: 2.5px;
}
.boxes{
    position: relative;
    top: 50px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.box-one{
    width: 50%;
    height: 50%;
    
}
.box-one img{
    width: 50%;
    height: 60%;
    object-fit: contain;
    padding: 20px;
    border: 2.5px solid #f5cfff;    
}
.box-two {
    width: 50%;
    height: 50%;
    
}
.box-two img{
    width: 50%;
    height: 60%;
    object-fit: contain;
    padding: 20px;
    border: 2.5px solid #f5cfff;
}
.box-three {
    width: 50%;
    height: 50%;
    
}
.box-three img{
    width: 50%;
    height: 60%;
    object-fit: contain;
    padding: 20px;
    border: 2.5px solid #f5cfff;
}
.container-four{
    background-color: #f5cfff;
    color: #000000;
    position: relative;
    top: 110px;
    width: 100%;
    height: 150vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    font-weight: 600;
    text-align: center;
}
.section-three{
    position: relative;
    top: 100px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 100px;
}
.section-three img{
    margin-top: 100px;
    width: 60%;
    height: 40%;
    object-fit: contain;
    padding: 40px;
    
}
.section-four{
    position: relative;
    padding: 20px;
    
    width: 100%;    
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #f5cfff;
}
.section-four h2{
    font-size: 2rem;
    font-weight: 600;
    text-align: center;
    margin-bottom: 2px;
}

.tools-container{
    
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 20px;
    margin-bottom: 100px;
}
.tools-container img{
    width: 50%;
    height: 50%;
    border-radius: 10px;
}
.reveal-on-scroll{
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
    transform: translateY(20px);
}
.reveal-on-scroll.is-visible{
    opacity: 1;
    transform: translateY(0);
}
@media (max-width:500px) {
    .cancel-link{
        width: 10%;
        height: 10%;
    }
    .box{
        width: 80%;
        height: 80%;
    }
    .box img{
        width: 50%;
        height: 50%;
        
    }
    .section-one{
        width: 100%;
        height: 80%;
        left: 10px;
        text-align: center;
        border: none;
    }
    .section-one p{
        text-align: center;
    }
    .section-one h2{
        text-align: center;
    }
    .container-two h1{
        text-align: center;
    }
    .section-two{
        width: 100%;
        height: 100%;
        right: 10px;
        top: 35rem;
        text-align: center;
        border: none;
    }
    .section-two p{
        text-align: center;
    }
    .section-two h2{
        text-align: center;
    }
    .container-three{
        position: relative;
        margin-top: 100px;
        text-align: center;
        top: 300px;
    }
    .boxes{
        flex-direction: column;
    }
    .box-one{
        width: 100%;}
    .box-two{
        width: 100%;
    }
    .box-three{
        width: 100%;
    }
    .container-four{
        top: 350px;
        height: 100vh;
    }
    
    .section-three img{
        width: 80%;
        height: 80%;
    }
    .section-four{
        margin-top: 100px;
        padding: 20px;
        gap: 2px;
        width: 100%;
        height: 50vh;
    }
    .section-four h2{
        font-size: 1.5rem;
    }


    .section-three{
        position: relative;
        top: 60px;
        padding: 10px;
        flex-direction: column;
        width: 100%;
        height: 100%;
        gap: 0px;
    }
    .section-three p{
        order: 2;
        font-size: 1.2rem;
    }
    .section-three img{
       display: none;   
    }
}
